Discuss this help topic in SecureBlackbox Forum

TElIndySSLIOHandlerSocket.Versions

TElIndySSLIOHandlerSocket     See also     


Filter: C#/Java  VB.NET  Pascal  C++  PHP  


Specifies the allowed SSL/TLS versions.

Declaration

[C#/Java]
    not implemented;

[VB.NET]
    not implemented;

[Pascal]
    property Versions : TSBVersions;
    TSBVersions = set of TSBVersion;

[C++]
    not available

[PHP]
    not available

Values:


Description

    This property defines which SSL/TLS versions are allowed to be used during SSL/TLS session. By default all versions are allowed. The application can disable undesired versions. It is not possible to disable SSL3 if TLS1 and SSL2 are both enabled.
     Note, If you set Versions to [sbSSL3, sbTLS1] and connect to Java 2 server which supports only TLS1, Java server will crash. This is a bug in Java 2 server.

See also:     CipherSuites     CurrentVersion    

Discuss this help topic in SecureBlackbox Forum